/*******************************************************************************
 Project:
 	TW-RMSDC
 Descriptions:
 	This header file is for CTRLio.c
 	IDE: MPLAB IDE v8.92
 	Compiler: PIC C18
 	Copyright(C) 2016 Akihiro Kawata, Triple W Japan Inc.
 	Last Update by A.KAWATA, 12/11/2016
********************************************************************************/
/*******************************************************************************
 I/O port Difinition
********************************************************************************/
#define SW50UV			PORTBbits.RB4	// Input
#define SW500UV			PORTBbits.RB3	// Input
#define SW50MV			PORTBbits.RB2	// Input
#define SW5V			PORTBbits.RB1	// Input
#define LNAEN			LATBbits.LATB5	// Output
#define SET1			LATCbits.LATC2	// Output
#define RST1			LATCbits.LATC3	// Output
#define SET2			LATCbits.LATC1	// Output
#define RST2			LATCbits.LATC0	// Output
#define LED50UV			LATAbits.LATA0	// Output
#define LED500UV		LATAbits.LATA1	// Output
#define LED50MV			LATAbits.LATA2	// Output
#define LED5V			LATAbits.LATA3	// Output

/*******************************************************************************
 Prototype Declaration
********************************************************************************/
unsigned char getSW(void);
void set50UV(void);
void set500UV(void);
void set50MV(void);
void set5V(void);
void setRL1(void);
void resetRL1(void);
void setRL2(void);
void resetRL2(void);
void idleSW(void);

/*******************************************************************************
 Define function's pointer: func_sw[] is defined in CTRLio.c
********************************************************************************/
typedef void (*RANGE)(void);
