/*******************************************************************************
 Project:
 	TW-RMSDC
 Descriptions:
 	These functions are for waiting to process.
 	IDE: MPLAB IDE v8.92
 	Compiler: PIC C18
 	Copyright(C) 2016 Akihiro Kawata, Triple W Japan Inc.
 	Last Update by A.KAWATA, 12/12/2016
********************************************************************************/
#include <p18f24j10.h>
#include <delays.h>
#include "WAITfunc.h"

/*******************************************************************************
 This function is wait for "us" function.
 If an argument value is 1 for 2ms waiting.
 The full range of [1,256] is supported (2ms to 512ms).
********************************************************************************/
void wait_2ms(unsigned char n)
{
	Delay10TCYx(n);
}

/*******************************************************************************
 This function is wait for "us" function.
 If an argument value is 1 for 20ms waiting.
 The full range of [1,256] is supported (20ms to 5.12s).
********************************************************************************/
void wait_20ms(unsigned char n)
{
	Delay100TCYx(n);
}

/*******************************************************************************
 This function is wait for "ms" function.
 If an argument value is 1 for 200ms waiting.
 The full range of [1,256] is supported (200ms to 51.2s).
********************************************************************************/
void wait_200ms(unsigned char n)
{
	Delay1KTCYx(n);
}
